Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2706483003: Add Multi-tab System Health Story (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month ago by vovoy
Modified:
5 days, 11 hours ago
CC:
chromium-reviews, telemetry-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add Multi-tab System Health Story A single story to create multiple tabs and switching between the tabs. BUG=689388 Review-Url: https://codereview.chromium.org/2706483003 Cr-Commit-Position: refs/heads/master@{#454753} Committed: https://chromium.googlesource.com/chromium/src/+/cd6f4e4cc9866713ba8a2a121a6116310b1a9b9e

Patch Set 1 #

Patch Set 2 : Refactoring Benchmark TabSwitching #

Patch Set 3 : Refactoring Benchmark TabSwitching #

Total comments: 6

Patch Set 4 : Add Multi-tab System Health Stories #

Patch Set 5 : Add Multi-tab System Health Stories #

Total comments: 22

Patch Set 6 : Add Multi-tab System Health Stories #

Patch Set 7 : Add Multi-tab System Health Stories #

Patch Set 8 : Add Multi-tab System Health Stories #

Total comments: 2

Patch Set 9 : Re-record Multi-tab System Health Story #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -3 lines) Patch
M tools/perf/page_sets/data/system_health_desktop.json View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -2 lines 0 comments Download
D tools/perf/page_sets/data/system_health_desktop_048.wpr.sha1 View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
A tools/perf/page_sets/data/system_health_desktop_049.wpr.sha1 View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 74 (55 generated)
vovoy
3 weeks, 3 days ago (2017-03-01 08:47:37 UTC) #29
vovoy
design doc: https://docs.google.com/a/google.com/document/d/1rMrrlW4-5ZGD9dHxUYBOzzkS-vyX0_mtiJ-CMT2egOY/edit?usp=sharing this cl is the first step to refine benchmark tab_switching
3 weeks, 3 days ago (2017-03-01 08:50:06 UTC) #30
nednguyen
On 2017/03/01 08:50:06, vovoy wrote: > design doc: > https://docs.google.com/a/google.com/document/d/1rMrrlW4-5ZGD9dHxUYBOzzkS-vyX0_mtiJ-CMT2egOY/edit?usp=sharing > this cl is the ...
3 weeks, 2 days ago (2017-03-01 16:15:32 UTC) #33
eakuefner
I'll hold off on further review until you do the split as Ned suggests. https://codereview.chromium.org/2706483003/diff/40001/tools/perf/measurements/tab_switching.py ...
3 weeks, 2 days ago (2017-03-01 16:52:13 UTC) #34
vovoy
On 2017/03/01 16:15:32, nednguyen wrote: > On 2017/03/01 08:50:06, vovoy wrote: > > design doc: ...
3 weeks, 2 days ago (2017-03-02 09:27:44 UTC) #37
vovoy
https://codereview.chromium.org/2706483003/diff/40001/tools/perf/measurements/tab_switching.py File tools/perf/measurements/tab_switching.py (right): https://codereview.chromium.org/2706483003/diff/40001/tools/perf/measurements/tab_switching.py#newcode23 tools/perf/measurements/tab_switching.py:23: # TODO: Revisit this test once multitab support is ...
3 weeks, 2 days ago (2017-03-02 09:30:27 UTC) #38
nednguyen
https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/data/system_health_desktop.json File tools/perf/page_sets/data/system_health_desktop.json (right): https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/data/system_health_desktop.json#newcode175 tools/perf/page_sets/data/system_health_desktop.json:175: "DEFAULT": "system_health_desktop_048.wpr" You need to also upload system_health_desktop_048.wpr.sha1 file ...
3 weeks, 2 days ago (2017-03-02 13:24:39 UTC) #43
nednguyen
https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/system_health/multi_tab_stories.py File tools/perf/page_sets/system_health/multi_tab_stories.py (right): https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/system_health/multi_tab_stories.py#newcode39 tools/perf/page_sets/system_health/multi_tab_stories.py:39: NAME = 'multitab:typical24:typical24' can you add: TAGS = [story_tags.TABS_SWITCHING]?
3 weeks, 2 days ago (2017-03-02 13:26:01 UTC) #44
nednguyen
https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/data/system_health_desktop.json File tools/perf/page_sets/data/system_health_desktop.json (right): https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/data/system_health_desktop.json#newcode175 tools/perf/page_sets/data/system_health_desktop.json:175: "DEFAULT": "system_health_desktop_048.wpr" On 2017/03/02 13:24:39, nednguyen wrote: > You ...
3 weeks, 2 days ago (2017-03-02 13:30:15 UTC) #45
perezju
High level questions/concerns: - How long does the story take to run? - How big ...
3 weeks, 2 days ago (2017-03-02 14:33:12 UTC) #48
vovoy
> High level questions/concerns: > - How long does the story take to run? I ...
3 weeks, 1 day ago (2017-03-02 18:02:29 UTC) #49
nednguyen
On 2017/03/02 18:02:29, vovoy wrote: > > High level questions/concerns: > > - How long ...
3 weeks, 1 day ago (2017-03-02 19:02:08 UTC) #50
nednguyen
https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/system_health/multi_tab_stories.py File tools/perf/page_sets/system_health/multi_tab_stories.py (right): https://codereview.chromium.org/2706483003/diff/80001/tools/perf/page_sets/system_health/multi_tab_stories.py#newcode40 tools/perf/page_sets/system_health/multi_tab_stories.py:40: URL_LIST = [ On 2017/03/02 18:02:29, vovoy wrote: > ...
3 weeks, 1 day ago (2017-03-02 19:08:19 UTC) #51
vovoy
> High level questions/concerns: > - How long does the story take to run? multitab:misc:typical24 ...
3 weeks, 1 day ago (2017-03-03 08:30:12 UTC) #59
perezju
lgtm On 2017/03/03 08:30:12, vovoy wrote: > > High level questions/concerns: > > - How ...
3 weeks, 1 day ago (2017-03-03 10:32:42 UTC) #64
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2706483003/140001
3 weeks ago (2017-03-04 03:04:05 UTC) #68
commit-bot: I haz the power
Committed patchset #8 (id:140001) as https://chromium.googlesource.com/chromium/src/+/cd6f4e4cc9866713ba8a2a121a6116310b1a9b9e
3 weeks ago (2017-03-04 03:09:34 UTC) #72
nednguyen
https://codereview.chromium.org/2706483003/diff/140001/tools/perf/page_sets/system_health/multi_tab_stories.py File tools/perf/page_sets/system_health/multi_tab_stories.py (right): https://codereview.chromium.org/2706483003/diff/140001/tools/perf/page_sets/system_health/multi_tab_stories.py#newcode67 tools/perf/page_sets/system_health/multi_tab_stories.py:67: 'http://premierleague.com', I notice that https://www.premierleague.com/, https://www.html5rocks.com/en/ cause a "404 ...
3 weeks ago (2017-03-04 03:13:06 UTC) #73
vovoy
3 weeks ago (2017-03-04 03:19:06 UTC) #74
Message was sent while issue was closed.
https://codereview.chromium.org/2706483003/diff/140001/tools/perf/page_sets/s...
File tools/perf/page_sets/system_health/multi_tab_stories.py (right):

https://codereview.chromium.org/2706483003/diff/140001/tools/perf/page_sets/s...
tools/perf/page_sets/system_health/multi_tab_stories.py:67:
'http://premierleague.com',
On 2017/03/04 03:13:06, nednguyen wrote:
> I notice that https://www.premierleague.com/, https://www.html5rocks.com/en/
> cause a "404 Not Found" error. 
> 
> Feel free to remove ones that have 404 error or rerecord the story (I suggest
> hack in some wait time when you record it to make sure WPR is able to capture
> the network).

OK, I will check and fix the recording.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62